[[#> rsp:HomeSidebar]]
<div style="width: 100%; padding: 30px 0px 10px 10px;">
<h1 class="project-header">
  [[i18n "lincs_objects" bundle="languages/resource_search_objects" locale=this.lang]]
 </h1>
<semantic-query query='SELECT DISTINCT ?graph ?title ?shortHand WHERE {
          GRAPH <http://metadata.lincsproject.ca>  {
            ?graph rdf:type <http://rdfs.org/ns/void#Dataset> ;
                <http://www.cidoc-crm.org/cidoc-crm/P1_is_identified_by>  ?titleIdentifier .
            ?titleIdentifier <http://www.cidoc-crm.org/cidoc-crm/P2_has_type> <http://vocab.getty.edu/aat/300417227>  ;
                <http://www.cidoc-crm.org/cidoc-crm/P190_has_symbolic_content>  ?title .
            BIND(REPLACE(str(?graph), "http://graph.lincsproject.ca/", "") AS ?shortHand)
          }
          { SELECT ?graph WHERE {    
             GRAPH ?graph  {
             ?s a ?class .
             }
             {?class rdfs:subClassOf* crm:E22_Human-Made_Object}
             UNION
             { ?class rdfs:subClassOf* frbroo:F1_Work }
             UNION
             { ?class rdfs:subClassOf* frbroo:F18_Serial_Work . }
             UNION
             { ?class rdfs:subClassOf* frbroo:F2_Expression . }
            
          } GROUP BY ?graph
        }
      }' template="{{>  search}}">
<template id="search">
<bs-tabs class="semantic-search-first-container" id="semantic-search" mount-on-enter="true">
<bs-tab class="basicSearch" event-key="searchObjects" title="[[i18n 'lincs' bundle='languages/resource_search_objects' locale=this.lang]]">
<semantic-search config='[[searchConfigForFieldsFromQuery "SELECT DISTINCT ?field WHERE { ?field a <http://www.researchspace.org/resource/system/fields/Field>  . ?field <http://www.researchspace.org/resource/system/fields/domain>  ?domain . ?field <http://www.researchspace.org/resource/system/fields/range>  ?range .  ?field <http://www.researchspace.org/resource/system/fields/category>  ?category . FILTER((?category = <http://www.researchspace.org/resource/system/formContainer/category/artworks> ) || (?category = <http://www.researchspace.org/resource/system/formContainer/category/bibliographic> ) )}"]]'>
<div class="rs-results-area" data-flex-layout="row stretch-stretch">
<div class="search-border" data-flex-self="size-1of3" style="flex: 0 0 0;">
<semantic-search-facet id="semantic-search-facet" open-by-default="true" value-categories='{
                              "<http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span>": {
                                  "kind": "date-range",
                                  "valuesQuery": "
                                      SELECT ?dateBeginValue ?dateEndValue WHERE {
                                          FILTER(?__facetRelationPattern__).
                                          ?__value__ crm:P82a_begin_of_the_begin ?dateBeginValue ;
                                              crm:P82b_end_of_the_end ?dateEndValue .
                                      } ORDER BY ?dateBeginValue
                                  "
                              }
                          }'>
</semantic-search-facet>
</div>
<div>
<semantic-search-query-keyword debounce="500" default-query='
                              SELECT ?subject WHERE { 
                                  GRAPH ?graph { ?subject a ?class } .
                                  FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                                  {?class rdfs:subClassOf* crm:E22_Human-Made_Object}
                                  UNION
                                  { ?class rdfs:subClassOf* frbroo:F1_Work }
                                  UNION
                                  { ?class rdfs:subClassOf* frbroo:F18_Serial_Work . }
                                  UNION
                                  { ?class rdfs:subClassOf* frbroo:F2_Expression . }
                              }
                          ' domain="<http://www.cidoc-crm.org/cidoc-crm/E18_Physical_Thing>" placeholder="[[i18n 'search_objects' bundle='languages/resource_search_objects' locale=this.lang]]" query='
                              SELECT ?subject WHERE { 
                                  GRAPH ?graph { 
                                      ?subject a ?class ;
                                          rdfs:label|crm:P190_has_symbolic_content|skos:altLabel|skos:prefLabel ?search_label . 
                                  }
                                  FILTER(strstarts(str(?graph), "http://graph.lincsproject.ca"))
                                  {?class rdfs:subClassOf* crm:E22_Human-Made_Object}
                                  UNION
                                  { ?class rdfs:subClassOf* frbroo:F1_Work }
                                  UNION
                                  { ?class rdfs:subClassOf* frbroo:F18_Serial_Work . }
                                  UNION
                                  { ?class rdfs:subClassOf* frbroo:F2_Expression . }
                                  SERVICE bds:search {
                                      ?search_label bds:search ?__token__;
                                      bds:minRelevance "0.3";
                                      bds:matchAllTerms "false" ;
                                      bds:relevance ?score .
                                  }
                                  }
                                  ORDER BY desc(?score)
                          '>
</semantic-search-query-keyword>
<semantic-search-result id="semantic-search-result">
<mp-sparql-result-counts id="semantic-search-result-count" query="SELECT DISTINCT ?subject {}" template="{{>  template}}">
<template id="template">
<import-lincs-timline>
</import-lincs-timline>
<div style="padding-top: 10px; padding-bottom: 10px;">
<span class="num-results">
             [[i18n "found" bundle="languages/resource_search_objects" locale=this.lang]]
             <span class="num-results-color">
              {{#if hasLimit}}{{totalNumberOfResults}}{{else}}{{numberOfResults}}{{/if}}
             </span>
             [[i18n "objects" bundle="languages/resource_search_objects" locale=this.lang]] LINCS
            </span>
</div>
</template>
</mp-sparql-result-counts>
</semantic-search-result>
        [[>  rsp:SearchResults]]
       </div>
</div>
</semantic-search>
</bs-tab>
    {{#each bindings}}
    <bs-tab class="basicSearch" event-key="search-{{shortHand.value}}" title="{{title.value}}">
<semantic-search config='[[searchConfigForFieldsFromQuery "SELECT DISTINCT ?field WHERE { ?field a <http://www.researchspace.org/resource/system/fields/Field>  . ?field <http://www.researchspace.org/resource/system/fields/domain>  ?domain . ?field <http://www.researchspace.org/resource/system/fields/range>  ?range .  ?field <http://www.researchspace.org/resource/system/fields/category>  ?category . FILTER((?category = <http://www.researchspace.org/resource/system/formContainer/category/artworks> ) || (?category = <http://www.researchspace.org/resource/system/formContainer/category/bibliographic> ) )}"]]'>
<div class="rs-results-area" data-flex-layout="row stretch-stretch">
<div class="search-border" data-flex-self="size-1of3" style="flex: 0 0 0">
<semantic-search-facet id="semantic-search-facet" open-by-default="true" value-categories='{
                                  "<http://www.cidoc-crm.org/cidoc-crm/E52_Time-Span>": {
                                      "kind": "date-range",
                                      "valuesQuery": "
                                          SELECT ?dateBeginValue ?dateEndValue WHERE {
                                              FILTER(?__facetRelationPattern__).
                                              ?__value__ crm:P82a_begin_of_the_begin ?dateBeginValue ;
                                                  crm:P82b_end_of_the_end ?dateEndValue .
                                          } ORDER BY ?dateBeginValue
                                      "
                                  }
                              }'>
</semantic-search-facet>
</div>
<div>
<semantic-search-query-keyword debounce="500" default-query="
                                  SELECT ?subject WHERE { 
                                      GRAPH <{{graph.value}}>  { ?subject a ?class } .
                                      {?class rdfs:subClassOf* crm:E22_Human-Made_Object}
                                      UNION
                                      { ?class rdfs:subClassOf* frbroo:F1_Work }
                                      UNION
                                      { ?class rdfs:subClassOf* frbroo:F18_Serial_Work . }
                                      UNION
                                      { ?class rdfs:subClassOf* frbroo:F2_Expression . }
                                  }
                              " domain="<http://www.cidoc-crm.org/cidoc-crm/E18_Physical_Thing>" placeholder="[[i18n 'search' bundle='languages/resource_search_objects' locale=this.lang]] {{shortHand.value}}..." query='
                                  SELECT ?subject WHERE { 
                                      GRAPH <{{graph.value}}>  { 
                                          ?subject a ?class ;
                                              rdfs:label|crm:P190_has_symbolic_content|skos:prefLabel|skos:altLabel ?search_label . 
                                      }
                                      {?class rdfs:subClassOf* crm:E22_Human-Made_Object}
                                      UNION
                                      { ?class rdfs:subClassOf* frbroo:F1_Work }
                                      UNION
                                      { ?class rdfs:subClassOf* frbroo:F18_Serial_Work . }
                                      UNION
                                      { ?class rdfs:subClassOf* frbroo:F2_Expression . }
                                      SERVICE bds:search {
                                          ?search_label bds:search ?__token__;
                                          bds:minRelevance "0.3";
                                          bds:matchAllTerms "false" ;
                                          bds:relevance ?score .
                                      }
                                      }
                                      ORDER BY desc(?score)
                              '>
</semantic-search-query-keyword>
<semantic-search-result id="semantic-search-result">
<mp-sparql-result-counts id="semantic-search-result-count" query="SELECT DISTINCT ?subject {}" template="{{>  template}}">
<template id="template">
<import-lincs-timline>
</import-lincs-timline>
<div style="padding-top: 10px; padding-bottom: 10px">
<span class="num-results">
             [[i18n "found" bundle="languages/resource_search_objects" locale=this.lang]]
             <span class="num-results-color">
              {{#if
                              hasLimit}}{{totalNumberOfResults}}{{else}}{{numberOfResults}}{{/if}}
             </span>
             [[i18n "objects" bundle="languages/resource_search_objects" locale=this.lang]] {{shortHand.value}}
            </span>
</div>
</template>
</mp-sparql-result-counts>
</semantic-search-result>
        [[>  rsp:SearchResults]]
       </div>
</div>
</semantic-search>
</bs-tab>
    {{/each}}
   </bs-tabs>
</template>
</semantic-query>
</div>
[[/rsp:HomeSidebar]]